#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[])
{
  char buf[16];
  int i, n;

  printf("strlcat\n");
  for (n=0; n<sizeof(buf)/sizeof(char); n++) {
    memset(buf, '\xff', sizeof(buf));
    strcpy(buf, "01234");
    strlcat(buf, "56789", n);
    printf("%d:\t", n);
    for (i=0; i<sizeof(buf)/sizeof(char); i++)
      printf("%02x ", (unsigned char)buf[i]);
    printf("\n");
   }
   return 0;
}
